Bug 496677 - Review Request: nfoview - Viewer for NFO files
Review Request: nfoview - Viewer for NFO files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 12:42 EDT by Fabian Affolter
Modified: 2014-09-11 15:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.5-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 21:39:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwickert: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
German translation for nfoview (5.17 KB, patch)
2009-04-23 20:36 EDT, Christoph Wickert
no flags Details | Diff

  None (edit)
Description Fabian Affolter 2009-04-20 12:42:39 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/nfoview.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/nfoview-1.4-1.fc10.src.rpm

Project URL: http://home.gna.org/nfoview/

Description:
NFO Viewer is a simple viewer for NFO files, which are "ASCII" art in
the CP437 codepage. The advantages of using NFO Viewer instead of a
text editor are preset font and encoding settings, automatic window
size and clickable hyperlinks.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1309515

rpmlint output:
[fab@laptop24 noarch]$ rpmlint nfoview*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 SRPMS]$ rpmlint nfoview-1.4-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Christoph Wickert 2009-04-22 10:37:48 EDT
Fabian A., who else? ;) Stay tuned for a full review.
Comment 2 Christoph Wickert 2009-04-23 18:28:59 EDT
REVIEW FOR aa321f12800c1d328e674446e773508a  nfoview-1.4-1.fc10.src.rpm


OK - MUST: rpmlint must be run on every package. The output should be posted in the review.
$ rpmlint /var/lib/mock/fedora-rawhide-i386/result/nfoview-1.4-1.fc11.*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
OK - MUST: The package is named according to the Package Naming Guidelines.
OK - MUST: The spec file name matches the base package %{name}, in the format %{name}.spec.
OK - MUST: The package meets the Packaging Guidelines.
OK - MUST: The package is licensed with a Fedora approved license and meets the Licensing Guidelines (GPLv3+)
OK - MUST: The License field in the package spec file matches the actual license.
OK - MUST: The license file from the source package is included in %doc.
OK - MUST: The spec file is in American English.
OK - MUST: The spec file for the package is legible.
OK - MUST: The sources used to build the package match the upstream source by MD5 ba0572d89ffacb7cd2d0e19010712f8c
OK - MUST: The package successfully compiles and builds into binary rpms on i386
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: All build dependencies are listed in BuildRequires.
OK - MUST: The spec file handles locales properly with the %find_lang macro.
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
OK - MUST: The package owns all directories that it creates.
OK - MUST: The package does not contain any duplicate files in the %files listing.
OK - MUST: Permissions on files are set properly. Every %files section includes a %defattr(...) line.
OK - MUST: The package has a %clean section, which contains rm -rf %{buildroot}.
OK - MUST: The package consistently uses macros, as described in the macros section of Packaging Guidelines.
OK - MUST: The package contains code, or permissable content.
N/A - MUST: Large documentation files should go in a -doc subpackage.
OK - MUST: Files included as %doc do not affect the runtime of the application.
N/A - MUST: Header files must be in a -devel package.
N/A - MUST: Static libraries must be in a -static package.
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
N/A - MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
OK - MUST: The package does not contain any .la libtool archives.
OK - MUST: The package contains a GUI application and includes a %{name}.desktop file, and that file is properly installed with desktop-file-install in the %install section.
OK - MUST: The packages does not own files or directories already owned by other packages.
OK - MUST: At the beginning of %install, the package runs rm -rf %{buildroot}.
OK - MUST: All filenames in rpm packages are valid UTF-8.


SHOULD Items:
N/A - SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: The the package builds in mock.
OK - SHOULD: The package should compile and build into binary rpms on all supported architectures.
OK - SHOULD: The package functions as described.
N/A - SHOULD: If scriptlets are used, those scriptlets must be sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
N/A - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Others:
OK - Review is no duplicate, package is not yet in Fedora
OK - Latest stable version packaged
OK - Timestamp of Source0 preserved


Issues:
- Unresolved deps on Fedora <= 10: terminus-font needs to be terminus-font-x11
- License is GPLv3, but is it GPLv3 only or GPLv3+?
- Desktop file contains the categories "GTK;Utility;Viewer;" but according to 
http://standards.freedesktop.org/menu-spec/latest/apa.html Viewer belongs to Graphics or Office but not to Utilities. You may want to replace it with "TextTools" during desktop-file-install
- Desktop file contains as mime type, but you are not running update-desktop-database, see https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database
- No need to include PKG-INFO in %doc
Comment 3 Christoph Wickert 2009-04-23 18:30:21 EDT
(In reply to comment #2)
> - License is GPLv3, but is it GPLv3 only or GPLv3+?

Forget this, this issue was cleared during review.
Comment 4 Christoph Wickert 2009-04-23 20:36:20 EDT
Created attachment 341041 [details]
German translation for nfoview

Patch to update the German translation. Full de.po is already submitted to Gnome bugzilla: http://bugzilla.gnome.org/show_bug.cgi?id=580061
Comment 5 Fabian Affolter 2009-04-26 08:51:22 EDT
Thanks for the review.

(In reply to comment #2)
> Issues:
> - Unresolved deps on Fedora <= 10: terminus-font needs to be terminus-font-x11

fixed 

> - License is GPLv3, but is it GPLv3 only or GPLv3+?

see Comment #3

> - Desktop file contains the categories "GTK;Utility;Viewer;" but according to 
> http://standards.freedesktop.org/menu-spec/latest/apa.html Viewer belongs to
> Graphics or Office but not to Utilities. You may want to replace it with
> "TextTools" during desktop-file-install

fixed

> - Desktop file contains as mime type, but you are not running
> update-desktop-database, see
> https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database

-fixed

> - No need to include PKG-INFO in %doc  

fixed.  There are different opinions about to include this file or not.

Updated files:

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/nfoview.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/nfoview-1.4-2.fc10.src.rpm
Comment 6 Christoph Wickert 2009-04-26 14:21:12 EDT
Regarding desktop-file-install I meant suggested to replace Viewer with TextTools
 --add-category="TextTools;"                 \
 --remove-category="Viewer;"                 \
 --delete-original

Anyway, this is minor. nfoview-1.4-2.fc10.src.rpm is APPROVED.
Comment 7 Fabian Affolter 2009-04-27 10:52:24 EDT
New Package CVS Request
=======================
Package Name: nfoview 
Short Description: Viewer for NFO files
Owners: fab
Branches: F-9 F-10 F-11
InitialCC:
Comment 8 Kevin Fenzi 2009-04-28 23:07:32 EDT
cvs done.
Comment 9 Fedora Update System 2009-05-02 11:45:10 EDT
nfoview-1.4-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/nfoview-1.4-3.fc10
Comment 10 Fedora Update System 2009-05-02 11:45:15 EDT
nfoview-1.4-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nfoview-1.4-3.fc11
Comment 11 Fedora Update System 2009-05-02 11:45:20 EDT
nfoview-1.4-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/nfoview-1.4-3.fc9
Comment 12 Fedora Update System 2009-05-06 19:23:05 EDT
nfoview-1.4-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update nfoview'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4221
Comment 13 Fedora Update System 2009-05-06 19:31:09 EDT
nfoview-1.4-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nfoview'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4288
Comment 14 Fedora Update System 2009-05-08 23:54:11 EDT
nfoview-1.4-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nfoview'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4308
Comment 15 Fedora Update System 2009-05-22 13:37:40 EDT
nfoview-1.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/nfoview-1.5-1.fc10
Comment 16 Fedora Update System 2009-05-22 13:37:46 EDT
nfoview-1.5-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/nfoview-1.5-1.fc9
Comment 17 Fedora Update System 2009-05-22 13:37:51 EDT
nfoview-1.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nfoview-1.5-1.fc11
Comment 18 Fedora Update System 2009-05-25 17:12:24 EDT
nfoview-1.5-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update nfoview'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-5415
Comment 19 Fedora Update System 2009-05-25 17:18:01 EDT
nfoview-1.5-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nfoview'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5373
Comment 20 Fedora Update System 2009-05-25 17:24:24 EDT
nfoview-1.5-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nfoview'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5430
Comment 21 Fedora Update System 2009-06-15 21:39:28 EDT
nfoview-1.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2009-06-15 22:27:36 EDT
nfoview-1.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2009-06-15 22:38:35 EDT
nfoview-1.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fabian Affolter 2014-09-11 15:17:04 EDT
Package Change Request
======================
Package Name: nfoview
New Branches: epel7
Owners: fab 
InitialCC:
Comment 25 Gwyn Ciesla 2014-09-11 15:31:16 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.